Page MenuHomePhabricator

Deploy Scap version 3.16.0-1
Closed, ResolvedPublic

Description

The release branch of Scap has tags for 3.16.0-1, tag debian/3.16.0-1. Please build the package and deploy it. Instructions at https://wikitech.wikimedia.org/wiki/Scap3#Production_update

Thank you.

The debian/changelog entry:

scap (3.16.0-1) unstable; urgency=low

  [ Ahmon Dancy ]
  * sync -> sync-world in warning message
  * scap sync-world: Don't ask for confirmation
  * Allow scap sync-world to work on a fresh deploy server

  [ Filippo Giunchedi ]
  * log: add @cee: token for structured logging

  [ Tyler Cipriani ]
  * Blubber: use wikimedia-stretch base image
  * Feature flag PHP L10n generation

  [ Ahmon Dancy ]
  * scap wikiversions-compile: Add --staging flag
  * compile_wikiversions: Update comments to reflect the code
  * update-wikiversions: Use staging dir wikiversions to update php link
  * Make sync-world work when there are no proxies
  * Allow scap command path to be overriden via environment var

  [ Tyler Cipriani ]
  * php_fpm: add feature flag to always restart

  [ Ahmon Dancy ]
  * get_realm_specific_filename doesn't handle datacenter correctly

  [ Lars Wirzenius ]
  * fix: find plugins again

  [ Ahmon Dancy ]
  * don't pass --verbose to mergeMessageFileList.php
  * clarify what active_wikiversions returns
  * scap/php_fpm.py: Clarify some code
  * scap: Add support for ungraceful php-fpm restart
  * scap: Update help text for --force option
  * _restart_php: Print the exact command that will run on the target nodes
  * scap: Add --skip-l10n-update to scap sync-world
  * Allow default l10n language to be set by SCAP_MW_LANG environment var

  [ Lars Wirzenius ]
  * build scap.deb in Docker

 -- Lars Wirzenius <lwirzenius@wikimedia.org>  Thu, 19 Nov 2020 16:17:15 +0200

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 24 2020, 2:34 PM

Mentioned in SAL (#wikimedia-operations) [2020-11-24T14:34:54Z] <liw> finished testing Scap on Beta cluster in prep for https://phabricator.wikimedia.org/T268634

jijiki moved this task from Inbox 🐅 to Next up 🥌 on the User-jijiki board.Nov 24 2020, 7:51 PM
hashar added a subscriber: hashar.Dec 1 2020, 6:17 PM

Mentioned in SAL (#wikimedia-operations) [2020-12-07T12:27:02Z] <effie> rollour scap 3.16.0-1 to canaries - T268634

Mentioned in SAL (#wikimedia-operations) [2020-12-08T09:06:58Z] <effie> upgrade scap to 3.16 everywhere - T268634

jijiki closed this task as Resolved.Dec 8 2020, 10:26 AM
jijiki claimed this task.
jijiki reopened this task as Open.EditedDec 8 2020, 3:34 PM
jijiki added a subscriber: Urbanecm.

@Urbanecm reported that scap is throwing some warnings, although it completed successfully:

15:27:45 WARNING  - Duplicate plugin named CheckoutMediaWiki, skipping.
15:27:45 WARNING  - Duplicate plugin named UpdateInterwikiCache, skipping.
15:27:45 WARNING  - Duplicate plugin named AbstractSync, skipping.
15:27:45 WARNING  - Duplicate plugin named SyncCanary, skipping.
15:27:45 WARNING  - Duplicate plugin named Clean, skipping.
15:27:45 WARNING  - Duplicate plugin named UpdateWikiversions, skipping.
15:27:45 WARNING  - Duplicate plugin named SecurityPatchManager, skipping.
15:27:45 WARNING  - Duplicate plugin named BetaUpdate, skipping.
jijiki triaged this task as High priority.Dec 8 2020, 3:35 PM
LarsWirzenius lowered the priority of this task from High to Medium.Dec 8 2020, 4:04 PM

This is due to T248490: Move scap plugins from mediawiki-config repo to scap repo, and it's harmless.

mediawiki-config contains a bunch of plugins for Scap, and they've been included in Scap now. We can drop them from mediawiki-config.

LarsWirzenius closed this task as Resolved.Dec 8 2020, 5:03 PM

mediawiki-config has dropped tthe plugins. Issue should be resolvedd.